{
  pkgs,
  ...
}: {

  imports = [
   ../../modules/greetd.nix 
  ];
  
  environment.systemPackages = with pkgs; [
    sxhkd
    xrandr
    arandr
    flameshot
    xtrlock
    i3lock
    
    # dbus-hyprland-environment
    # xdg-user-dirs
    # wayland
    # grim
    # slurp
    # cliphist
    # wl-clipboard
    # wlogout
    # wlr-randr
    # glib
  ];


  services.dbus.enable = true;
  xdg.portal = {
    enable = true;
  };

  programs.bspwm.enable = true;

  environment.sessionVariables = rec {
    GBM_BACKEND = "amd-drm";
    __GL_GSYNC_ALLOWED = "0";
    __GL_VRR_ALLOWED = "0";
    WLR_DRM_NO_ATOMIC = "1";
    __GLX_VENDOR_LIBRARY_NAME = "amd";
    _JAVA_AWT_WM_NONREPARENTING = "1";
    QT_QPA_PLATFORM = "xcb";
    QT_WAYLAND_DISABLE_WINDOWDECORATION = "1";
    GDK_BACKEND = "x11";
    WLR_NO_HARDWARE_CURSORS = "1";
    MOZ_ENABLE_WAYLAND = "-";
    WLR_BACKEND = "vulkan";
    WLR_RENDERER = "vulkan";
    XCURSOR_SIZE = "24";
    NIXOS_OZONE_WL = "1";
    PATH = [
      "$HOME/.local/bin/:$PATH"
    ];
    XDG_CACHE_HOME  = "$HOME/.cache";
    XDG_CONFIG_HOME = "$HOME/.config";
    XDG_DATA_HOME   = "$HOME/.local/share";
    XDG_STATE_HOME  = "$HOME/.local/state";
    XDG_BIN_HOME    = "$HOME/.local/bin";
  };

  environment.etc."greetd/environments".text = ''
    bspwm
  '';

}