{ lib, stdenv, fetchFromGitHub, wrapQtAppsHook,  qmake, qtbase, qtwebengine, qtwayland
}:
stdenv.mkDerivation rec {
  pname = "simc";
  version = "b25fae6260d301894979ef0f0142c3581eb0ef4f";

  src = fetchFromGitHub rec {
            owner = "simulationcraft";
            repo = "simc";
            rev = "b06be33b1d7be68631068c483537ee588bbfa590";
            hash = "sha256-H8Miq/kZ+hWVvsugrSE5/i/CyhgZ7pD9kSdfC64rdPQ=";
        };

  nativeBuildInputs = [ wrapQtAppsHook qmake qtwebengine qtbase ];

  buildInputs = [ qtwayland ];
  
  configurePhase = ''
    qmake simulationcraft.pro
  '';

  buildPhase = ''
    SC_NO_NETWORKING=1 make -j$NIX_BUILD_CORES
  '';

  installPhase = ''
    mkdir -p $out/bin
    mv gui/SimulationCraft $out/bin
  '';

}